// DialogLogfiles.cpp : implementation file
//

#include "stdafx.h"
#include "LogAnalysis.h"
#include "DialogLogfiles.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDialogLogfiles dialog


CDialogLogfiles::CDialogLogfiles(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogLogfiles::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogLogfiles)
	m_ListLogFilesText = _T("");
	//}}AFX_DATA_INIT
}


void CDialogLogfiles::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogLogfiles)
	DDX_Control(pDX, IDC_LISTLOGFILES, m_ListLogFiles);
	DDX_LBString(pDX, IDC_LISTLOGFILES, m_ListLogFilesText);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogLogfiles, CDialog)
	//{{AFX_MSG_MAP(CDialogLogfiles)
	ON_LBN_DBLCLK(IDC_LISTLOGFILES, OnDblclkListlogfiles)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialogLogfiles message handlers

BOOL CDialogLogfiles::OnInitDialog() 
{
	CDialog::OnInitDialog();

	//current folder
	m_ListLogFiles.Dir(0x0001|0x0002|0x0004|0x020,"*.log");			//*.log
	LogDir = "";

	//subfolders
	if(m_ListLogFiles.GetCount()==0){
		if(
			LoadFolder("LogFiles\\") ||
			LoadFolder("LogFile\\") ||
			LoadFolder("Logs\\") ||
			LoadFolder("Log\\")			){}
	}

	int c = m_ListLogFiles.GetCount();
	if (c==LB_ERR || c==0){
		this->OnCancel();
		CString s;
		s.LoadString(IDS_APP_NOFILES); //no log files found
		AfxMessageBox(s,0,0);
	}else{
		m_ListLogFiles.SetCurSel(c-1);
		if(c==1){ //if only one file, open it
			this->OnOK();
		}
	}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

bool CDialogLogfiles::LoadFolder(CString Path)
{
	m_ListLogFiles.Dir(0x0001|0x0002|0x0004|0x0020|0x0010,Path + "*.log");
	LogDir = Path;
	return m_ListLogFiles.GetCount()>0;
}

void CDialogLogfiles::OnDblclkListlogfiles() 
{
	this->OnOK();
}
