// DialogWhois.cpp : implementation file
//

#include "stdafx.h"
#include "LogAnalysis.h"
#include "DialogWhois.h"
#include "Whois.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDialogWhois dialog


CDialogWhois::CDialogWhois(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogWhois::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogWhois)
	m_IP = _T("");
	m_WhoisServer = _T("whois.arin.net");
	//}}AFX_DATA_INIT
}


void CDialogWhois::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogWhois)
	DDX_Control(pDX, IDC_IP, m_IPCtrl);
	DDX_Control(pDX, IDC_WHOISINFO, m_WhoisInfo);
	DDX_Text(pDX, IDC_IP, m_IP);
	DDX_CBString(pDX, IDC_CBOSERVER, m_WhoisServer);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogWhois, CDialog)
	//{{AFX_MSG_MAP(CDialogWhois)
	ON_BN_CLICKED(IDC_LOOKUP, OnLookup)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialogWhois message handlers

void CDialogWhois::OnLookup() 
{
	UpdateData(TRUE);

	if(m_WhoisServer.GetLength()>0){
		if(m_IP.GetLength()>0){
			CString text;
			text = WhoisLookup(m_WhoisServer,m_IP);
			text.Replace("\n","\r");
			text.Replace("\r","\r\n");
			m_WhoisInfo.SetWindowText(text);
		}else{
			CString s;
			s.LoadString(IDS_APP_ENTERIPADDRESS);
			AfxMessageBox(s);
			m_IPCtrl.SetFocus();
		}
	}else{
		CString s;
		s.LoadString(IDS_APP_ENTERWHOISSERVER);
		AfxMessageBox(s);
	}
}

CString CDialogWhois::WhoisLookup(CString& Server, CString &IP)
{
	CWhois whois;
	return whois.Lookup(Server,IP);
}

void CDialogWhois::SetServer(LPCTSTR Server)
{
	m_WhoisServer = Server;
}

void CDialogWhois::SetQuery(LPCTSTR Query)
{
	m_IP = Query;
}
