/*
    AQTRONIX C++ Library
    Copyright 2005-2006 Parcifal Aertssen

    This file is part of AQTRONIX C++ Library.

    AQTRONIX C++ Library is free software; you can redistribute it
	and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2 of
	the License, or (at your option) any later version.

    AQTRONIX C++ Library is distributed in the hope that it will be
	useful, but WITHOUT ANY WARRANTY; without even the implied warranty
    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with AQTRONIX C++ Library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
    MA  02111-1307  USA
*/// Whois.h: interface for the CWhois class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WHOIS_H__39801342_97CE_4DA1_BF18_6D2F0CC27900__INCLUDED_)
#define AFX_WHOIS_H__39801342_97CE_4DA1_BF18_6D2F0CC27900__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//#include "afxinet.h"
#include "ClientSocket.h"
#include "StringHelper.h"

class CWhois  
{
public:
	void SetServer(LPCTSTR WhoisServer);
	void SetServer(LPCTSTR WhoisServer, unsigned short Port);

	inline void LoadDefaults();

	//Lookup
	CString Lookup(LPCTSTR Domain, bool RecursiveLookup = true);
	CString Lookup(LPCTSTR Server, LPCTSTR Domain, LPCTSTR Username = NULL, LPCTSTR Password = NULL, bool RecursiveLookup = true);
	CString Lookup(LPCTSTR Server, LPCTSTR Domain, unsigned short Port, LPCTSTR Username = NULL, LPCTSTR Password = NULL, bool RecursiveLookup = true);

	CWhois();
	virtual ~CWhois();

protected:
	CString Server;
	unsigned short Port;
};

#endif // !defined(AFX_WHOIS_H__39801342_97CE_4DA1_BF18_6D2F0CC27900__INCLUDED_)
